
%define plugin	amarok
%define name	vdr-plugin-%plugin
%define version	0.0.2
%define rel	4

Summary:	VDR plugin: A frontend for KDE's amarok
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://irimi.ir.ohost.de/
Source:		http://irimi.ir.ohost.de/vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
A frontend vdr plugin for KDE's amaroK.

You also need vdramgw running on the same host as amaroK. It is
packaged in a separate package

%package -n vdramgw
Summary:	VDR amaroK gateway
Group:		Video
%description -n vdramgw
Gateway for the VDR amarok plugin.

%prep
%setup -q -n %plugin-%version
chmod 0644 README HISTORY vdramgw/README vdramgw/HISTORY
chmod 0644 vdramgw/vdramgw.conf contrib/jpeg2vdrmpg.sh

%build
%vdr_plugin_build

cd vdramgw
%make CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -m644 contrib/*.mpg %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

install -d -m755 %{buildroot}%{_bindir}
install -m755 vdramgw/vdramgw %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY contrib/jpeg2vdrmpg.sh
%dir %{_vdr_plugin_cfgdir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/%{plugin}/amarokmain.mpg

%files -n vdramgw
%defattr(-,root,root)
%doc vdramgw/README vdramgw/HISTORY vdramgw/vdramgw.conf
%{_bindir}/vdramgw




%changelog
* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-4mdv2008.0
+ Revision: 49962
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-3mdv2008.0
+ Revision: 42049
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-2mdv2008.0
+ Revision: 22687
- rebuild for new vdr

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-1mdv
+ Revision: 16309
- 0.0.2


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1c-2mdv2007.0
+ Revision: 90884
- rebuild for new vdr

* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1c-1mdv2007.1
+ Revision: 76337
- 0.0.1c
- drop patch1, fixed upstream
- rebuild for new vdr
- Import vdr-plugin-amarok

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-2mdv2007.0
- rebuild for new vdr

* Wed Jun 21 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1b-1mdv2007.0
- initial Mandriva release

